(* FLAG --uses=fjf255u *)

(*
  NOTE: This will only work if fjf255b1.pas and fjf255u.pas with it were
  compiled before, because compiling fjf255u.pas here with `--uses=fjf255u'
  would be wrong. So, it depends on the order of execution of the
  tests... :-(

  When, however, GPC will store the options in the GPI file and compare
  them during automake, and therefore try to recompile fjf255u.pas here
  again, this test will not work, even though GPC behaves correctly.
  Then the actual problem here (`--uses' not working in units) may have
  to be tested manually...
*)

unit fjf255v;

interface

procedure bar;

implementation

procedure bar;
begin
  foo
end;

end.

program fjf255b2;

uses fjf255v;

begin
  bar
end.
